- Main Page
- Modules
- Classes
- Files

# Selection

## Functions
bool | CxImage::SelectionIsValid ()
bool | CxImage::SelectionClear (uint8_t level=0)
bool | CxImage::SelectionCreate ()
bool | CxImage::SelectionDelete ()
bool | CxImage::SelectionInvert ()
bool | CxImage::SelectionMirror ()
bool | CxImage::SelectionFlip ()
bool | CxImage::SelectionAddRect (RECT r, uint8_t level=255)
bool | CxImage::SelectionAddEllipse (RECT r, uint8_t level=255)
bool | CxImage::SelectionAddPolygon (POINT *points, int32_t npoints, uint8_t level=255)
bool | CxImage::SelectionAddColor (RGBQUAD c, uint8_t level=255)
bool | CxImage::SelectionAddPixel (int32_t x, int32_t y, uint8_t level=255)
bool | CxImage::SelectionCopy (CxImage &from)
bool | CxImage::SelectionIsInside (int32_t x, int32_t y)
void | CxImage::SelectionGetBox (RECT &r)
bool | CxImage::SelectionToHRGN (HRGN &region)
bool | CxImage::SelectionSplit (CxImage *dest)
uint8_t | CxImage::SelectionGet (const int32_t x, const int32_t y)
bool | CxImage::SelectionSet (CxImage &from)
void | CxImage::SelectionRebuildBox ()
uint8_t * | CxImage::SelectionGetPointer (const int32_t x=0, const int32_t y=0)

## Detailed Description

## Function Documentation

bool CxImage::SelectionAddColor | ( | RGBQUAD | c,
|  | uint8_t | level = `255` |
| ) |  |  | `[inherited]`

Adds to the selection all the pixels matching the specified color.

bool CxImage::SelectionAddEllipse | ( | RECT | r,
|  | uint8_t | level = `255` |
| ) |  |  | `[inherited]`

Adds an ellipse to the existing selection.

bool CxImage::SelectionAddPixel | ( | int32_t | x,
|  | int32_t | y,
|  | uint8_t | level = `255` |
| ) |  |  | `[inherited]`

Adds a single pixel to the existing selection.

bool CxImage::SelectionAddPolygon | ( | POINT * | points,
|  | int32_t | npoints,
|  | uint8_t | level = `255` |
| ) |  |  | `[inherited]`

Adds a polygonal region to the existing selection. points points to an array of POINT structures. Each structure specifies the x-coordinate and y-coordinate of one vertex of the polygon. npoints specifies the number of POINT structures in the array pointed to by points.

bool CxImage::SelectionAddRect | ( | RECT | r,
|  | uint8_t | level = `255` |
| ) |  |  | `[inherited]`

Adds a rectangle to the existing selection.

bool CxImage::SelectionClear | ( | uint8_t | level = `0` | ) | `[inherited]`

Empties the selection.

bool CxImage::SelectionCopy | ( | CxImage & | from | ) | `[inherited]`

Imports an existing region from another image with the same width and height.

bool CxImage::SelectionCreate | ( |  | ) | `[inherited]`

Allocates an empty selection.

bool CxImage::SelectionDelete | ( |  | ) | `[inherited]`

Deallocates the selction.

bool CxImage::SelectionFlip | ( |  | ) | `[inherited]`

uint8_t CxImage::SelectionGet | ( | const int32_t | x,
|  | const int32_t | y |
| ) |  |  | `[inherited]`

Gets the Selection level for a single pixel

void CxImage::SelectionGetBox | ( | RECT & | r | ) | `[inherited]`

Gets the smallest rectangle that contains the selection

uint8_t * CxImage::SelectionGetPointer | ( | const int32_t | x = `0`,
|  | const int32_t | y = `0` |
| ) |  |  | `[inherited]`

Returns pointer to selection data for pixel (x,y).

bool CxImage::SelectionInvert | ( |  | ) | `[inherited]`

Inverts the selection. Note: the SelectionBox is set to "full image", call SelectionGetBox before (if necessary)

bool CxImage::SelectionIsInside | ( | int32_t | x,
|  | int32_t | y |
| ) |  |  | `[inherited]`

Checks if the coordinates are inside the selection.

bool CxImage::SelectionIsValid | ( |  | ) | `[inherited]`

Checks if the image has a valid selection.

bool CxImage::SelectionMirror | ( |  | ) | `[inherited]`

void CxImage::SelectionRebuildBox | ( |  | ) | `[inherited]`

Rebuilds the SelectionBox

bool CxImage::SelectionSet | ( | CxImage & | from | ) | `[inherited]`

Creates the selection channel from a gray scale image. black = unselected

bool CxImage::SelectionSplit | ( | CxImage * | dest | ) | `[inherited]`

Exports the selection channel in a 8bpp grayscale image.

bool CxImage::SelectionToHRGN | ( | HRGN & | region | ) | `[inherited]`

Converts the selection in a HRGN object.